
QGIS Application - Bug report #17197

can't create pyramid if the geotiff file name has 2-byte characters

2017-09-26 02:21 AM - Hiroyuki Kobayashi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.18.13 Regression?: No

Operating System: Windows10 Japanese version Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25096

Description

I usually use Japanese file names (2-byte characters) with my image files.

When I try to create a pyramid for a big geotiff image, it fails both from "Property" menu and "Raster" menu.

When I rename the file from 2-byte to 1-byte characters, it fails from "Property" menu but it succeeds from "Raster" menu.

It happens both v2.14.19 and v2.18.13.

I attach a small geotiff files with 1-byte file name and 2-byte file name.

History

#1 - 2017-09-26 11:12 AM - Giovanni Manghi

- Category changed from Rasters to Processing/GDAL

FYI, no issues under Linux (and possibly also macOS). The size of the raster doesn't really matter. The right place where to fix this is in Processing as

anyway the "old" gdaltools are going to disappear in qgis3.

2017-09-26T10:09:23    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\core\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithm.py", line 68, in processAlgorithm

                GdalUtils.runGdal(commands, progress)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\gdal\GdalUtils.py", line 93, in runGdal

                universal_newlines=True,

              File "C:\OSGEO4~1\apps\Python27\lib\subprocess.py", line 711, in init

                errread, errwrite)

              File "C:\OSGEO4~1\apps\Python27\lib\subprocess.py", line 922, in _execute_child

                args = '{} /c "{}"'.format (comspec, args)

            UnicodeEncodeError: 'ascii' codec can't encode characters in position 31-32: ordinal not in range(128)

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.
#3 - 2019-02-10 09:09 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

Tateyama_1977_100m.tif 160 KB 2017-09-26 Hiroyuki Kobayashi

立山_1977_100m.tif 160 KB 2017-09-26 Hiroyuki Kobayashi
